Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.templatewizard.process
Class AbstractProjectProcess

    java.lang.Object
      com.nokia.carbide.templatewizard.process.AbstractProcess
          com.nokia.carbide.templatewizard.process.AbstractProjectProcess

All Implemented Interfaces:
  IProcess

Direct Known Subclasses:
  CopyFiles, CreateFolders, CreateRezId, NewProject, OpenFileInEditor

    public abstract class AbstractProjectProcess

extends AbstractProcess

An abstract base class to enable implementing `com.nokia.carbide.templatewizard.process.IProcess`

Requires a parameter with name "project" and attribute "projectName".

See Also:
  `AbstractProcess`

Field Summary
`protected IParameter` | `projectParameter`

Constructor Summary
`AbstractProjectProcess()`

Method Summary
`protected java.lang.String` | `getProjectName()`
`protected void` | `init(ITemplate template, java.util.List<IParameter> parameters)` Must be implemented by subclasses.

Methods inherited from class com.nokia.carbide.templatewizard.process.AbstractProcess
`fail, fail, failIfFalse, failIfNull, findParameterByName, getPlugin, getProcessName, getRequiredAttributeFromParameter, getRequiredParameterByName, mustRunInUIThread, process, setRunInUIThread`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### projectParameter

    protected IParameter projectParameter

Constructor Detail

### AbstractProjectProcess

    public AbstractProjectProcess()

Method Detail

### init

    protected void init(ITemplate template,
                        java.util.List<IParameter> parameters)
                 throws CoreException

  Description copied from class: `AbstractProcess`
  Must be implemented by subclasses.
  Called by `IProcess.process(ITemplate, List, IProgressMonitor)` to separate initialization from processing code.

  Specified by:
    `init` in class `AbstractProcess`
  Parameters:
    `template` - the ITemplate argument to process
    `parameters` - the parameter list argument to process
  Throws:
    `CoreException`
  See Also:
    `com.nokia.carbide.templatewizard.process.IProcess#process(com.nokia.carbide.template.engine.ITemplate, java.util.List, org.eclipse.core.runtime.IProgressMonitor)`

### getProjectName

    protected java.lang.String getProjectName()

  Returns:
    the value of the "projectName" attribute of the project parameter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD